Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGNTI1.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGNTI1.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGNTI1.m	(revision 636)
@@ -1,4 +1,4 @@
-MAGGNTI1 ;WOIFO/GEK - Imaging interface to TIU. RPC Calls etc. ; 04 Apr 2002  2:37 PM
- ;;3.0;IMAGING;**46,59**;Nov 27, 2007;Build 20
+MAGGNTI1 ;WOIFO/GEK - Imaging interface to TIU RPC Calls etc. ; 20 Nov 2006  12:42 PM
+ ;;3.0;IMAGING;**46**;16-February-2007;;Build 1023
  ;; Per VHA Directive 2004-038, this routine should not be modified.
  ;; +---------------------------------------------------------------+
@@ -9,5 +9,4 @@
  ;; | Development Office of the Department of Veterans Affairs,     |
  ;; | telephone (301) 734-0100.                                     |
- ;; |                                                               |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed in any way. |
@@ -16,5 +15,5 @@
  ;; | to be a violation of US Federal Statutes.                     |
  ;; +---------------------------------------------------------------+
- ;;      
+ ;;
  Q
 NEW(MAGRY,MAGDFN,MAGTITLE,MAGADCL,MAGMODE,MAGES,MAGESBY,MAGLOC,MAGDATE,MAGCNSLT,MAGTEXT) ;RPC [MAG3 TIU NEW]
@@ -37,5 +36,5 @@
  ;  MAGESBY  - The DUZ of the Signer (Defaults to DUZ)
  ;  MAGADCL  - 1 = Mark this Note as Administratively Closed
- ;  MAGMODE  - Mode of Admin Closure: "S" = Scanned Document 
+ ;  MAGMODE  - Mode of Admin Closure: "S" = Scanned Document
  ;             "M" = Manual closure, "E" = Electronically Filed
  ;  MAGDATE  - Date of the Note. For New Notes.
@@ -55,5 +54,5 @@
  I "MSE"'[MAGMODE S MAGRY="0^Invalid Mode of Closure: """_MAGMODE_"""" Q
  ;
- ;       Here if we have no Text, we'll add at least a line.
+ ; Here if we have no Text, we'll add at least a line.
  I $O(MAGTEXT(""))="" S MAGTEXT(.1)="   VistA Imaging - - Scanned Document"
  ;               Reformat Text - "TEXT",i,0)"   for TIU Call.
@@ -97,7 +96,6 @@
  I '$$VALID^MAGGSIV1(8925,1301,.MAGDATE,.MAGRES) S MAGRY=MAGRY_"  "_MAGRES
  E  S MTXT(1301)=MAGDATE
- ; - Fix in T30,  if DUZ isn't MAGESBY, we have Author different than User.
- I MAGESBY'=DUZ S MTXT("1202")=MAGESBY
- ;               Update and LINK TO CONSULT if needed.
+ ;
+ ; Update and LINK TO CONSULT if needed.
  I MAGISC S MTXT("1405")=MAGCNSLT_";GMR(123,"
  I $D(MTXT) D  I 'MUPD S MAGRY=MUPD Q
@@ -105,5 +103,5 @@
  . Q
  ;
- ;               If Admin Close, then We quit.
+ ; If Admin Close, then We quit.
  I MAGADCL="1" D  Q
  . D ADMNCLOS^MAGGNTI2(.MAGTY,MAGDFN,MAGTIUDA,MAGMODE)
@@ -111,5 +109,5 @@
  . Q
  ;
- ;               if caller sent esignature to Sign this Note.
+ ; if caller sent esignature to Sign this Note.
  I $L(MAGES) D
  . D SIGN^MAGGNTI3(.MAGTY,MAGDFN,MAGTIUDA,MAGES,MAGESBY)
@@ -143,5 +141,5 @@
  ;
  I '$$VALDATA^MAGGNTI2(.MAGRY,MAGDFN,MAGTIUDA) Q
- N MAGXT,I,CT,NEWTIUDA,MAGY,MAGRES,MAGUPD
+ N MAGXT,I,CT,NEWTIUDA,MAGY,MAGRES
  S CT=1,I=""
  S MAGXT("TEXT",1,0)="VistA Imaging  Scanned Document - Addendum."
@@ -153,20 +151,17 @@
  D MAKEADD^TIUSRVP(.MAGRY,MAGTIUDA,.MAGXT)
  ; MAGRY could be 0^error message
- ;       -1^message
- ;       TIUDA
+ ;                                -1^message
+ ;                                TIUDA
  I $P(MAGRY,"^")<0 S $P(MAGRY,"^")=0 Q
  S NEWTIUDA=+MAGRY
  S MAGRY=MAGRY_"^Addendum was created."
- ;
+ ;       
  ;Put in the Date that was sent.
- K MAGUPD
  I '$$VALID^MAGGSIV1(8925,1301,.MAGDATE,.MAGRES) S MAGRY=MAGRY_"  "_MAGRES
  E  D
- . S MAGUPD(1301)=MAGDATE
- . S MAGUPD(1211)=$$GET1^DIQ(8925,1211,MAGTIUDA,"I")
- ; - Fix in T30,  if DUZ isn't MAGESBY, we have Author different than User.
- I MAGESBY'=DUZ S MAGUPD("1202")=MAGESBY
- I $D(MAGUPD) D
- . D UPDATE^TIUSRVP(.MAGY,NEWTIUDA,.MAGUPD)
+ . K X
+ . S X(1301)=MAGDATE
+ . S X(1211)=$$GET1^DIQ(8925,1211,MAGTIUDA,"I")
+ . D UPDATE^TIUSRVP(.MAGY,NEWTIUDA,.X)
  . I 'MAGY S MAGRY=MAGRY_" TIU Data was Not Correctly Filed."
  . Q
@@ -185,6 +180,4 @@
  Q
 MOD(MAGRY,MAGDFN,MAGTIUDA,MAGADCL,MAGMODE,MAGES,MAGESBY,MAGTEXT) ; RPC [MAG3 TIU MODIFY NOTE]
- ; After a Note is filed, we call this to Modify the Note.  We do this to sign it.
- ;  That way the Signed Date is After the Image Association  Date/Time.
  N $ETRAP,$ESTACK S $ETRAP="D ERR^"_$T(+0)
  S MAGDFN=$G(MAGDFN),MAGTIUDA=$G(MAGTIUDA)
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGNTI2.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGNTI2.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGNTI2.m	(revision 636)
@@ -1,19 +1,19 @@
-MAGGNTI2 ;WOIFO/GEK - Imaging interface to TIU. RPC Calls etc. ; 04 Apr 2002  2:37 PM
- ;;3.0;IMAGING;**46,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+MAGGNTI2 ;WOIFO/GEK - Imaging interface to TIU RPC Calls etc. ; 20 Nov 2006  12:18 PM
+ ;;3.0;IMAGING;**46**;16-February-2007;;Build 1023
+ ;; Per VHA Directive 2004-038, this routine should not be modified.
  ;; +---------------------------------------------------------------+
- ;; | Property of the US Government.        |
+ ;; | Property of the US Government.                                |
  ;; | No permission to copy or redistribute this software is given. |
  ;; | Use of unreleased versions of this software requires the user |
- ;; | to execute a written test agreement with the VistA Imaging |
- ;; | Development Office of the Department of Veterans Affairs,  |
- ;; | telephone (301) 734-0100.          |
+ ;; | to execute a written test agreement with the VistA Imaging    |
+ ;; | Development Office of the Department of Veterans Affairs,     |
+ ;; | telephone (301) 734-0100.                                     |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed in any way. |
  ;; | Modifications to this software may result in an adulterated   |
  ;; | medical device under 21CFR820, the use of which is considered |
- ;; | to be a violation of US Federal Statutes.      |
+ ;; | to be a violation of US Federal Statutes.                     |
  ;; +---------------------------------------------------------------+
- ;;      
+ ;;
  Q
 LIST(MAGRY,CLASS,MYLIST) ; RPC [MAG3 TIU LONG LIST OF TITLES]
@@ -26,5 +26,5 @@
  ;                               TIU PERSONAL TITLE LIST       PERSLIST^TIUSRVD 
  ;                                       
- ; Note : sending CLASS IEN isn't used in p59.
+ ; Note : sending CLASS IEN isn't tested.
  ; 
  K MAGRY
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGNTI3.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGNTI3.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGNTI3.m	(revision 636)
@@ -1,5 +1,5 @@
-MAGGNTI3 ;WOIFO/GEK - Imaging interface to TIU. RPC Calls etc. ; 04 Apr 2002  2:37 PM
- ;;3.0;IMAGING;**46,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+MAGGNTI3 ;WOIFO/GEK - Imaging interface to TIU RPC Calls etc. ; 04 Apr 2002  2:37 PM
+ ;;3.0;IMAGING;**46**;16-February-2007;;Build 1023
+ ;; Per VHA Directive 2004-038, this routine should not be modified.
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -15,5 +15,5 @@
  ;; | to be a violation of US Federal Statutes.                     |
  ;; +---------------------------------------------------------------+
- ;;      
+ ;;
  Q
 MOD(MAGRY,MAGDFN,MAGTIUDA,MAGADCL,MAGMODE,MAGES,MAGESBY,MAGTEXT) ; RPC [MAG3 TIU MODIFY NOTE]
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGSIA.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGSIA.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGSIA.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGSIA ;WOIFO/GEK - Imaging RPC Broker calls. Add/Modify Image entry ; [ 12/27/2000 10:49 ]
- ;;3.0;IMAGING;**7,21,8,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**7,21,8**;Sep 15, 2004
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -45,5 +44,5 @@
  ;    CALLING ROUTINE is responsible for RENAMING THE IMAGE FILE on DISK
  ;      TO THE NEW FILE NAME RETURNED BY THIS CALL.
- ;      Changed to include hierarchical directory hash  - PMK 04/23/98
+ ;      Changed to include hierarchial directory hash  - PMK 04/23/98
  ;----------------------------------------------------------------
  N MAGGFDA,MAGGDRV,MAGGRP,MAGCHLD,GRPCT,MAGGDA,MAGGFNM
@@ -64,5 +63,4 @@
  I '$D(MAGGFDA(2005,"+1,")) S MAGRY(0)="0^No data to file.  Operation CANCELED." Q
  ;
- ;Q:'$$VALINDEX^MAGGSIV1(.MAGRY,$G(MAGGFDA(2005,"+1,",42)),$G(MAGGFDA(2005,"+1,",44)),$G(MAGGFDA(2005,"+1,",43)))
  ;  Check on some possible problems: required fields, create default values etc.
  D PRE^MAGGSIA1(.MAGERR,.MAGGFDA,MAGGRP,.MAGGDRV,.MAGREF) I $L(MAGERR) S MAGRY(0)=MAGERR Q
@@ -88,5 +86,5 @@
  ; IF a group, UpDate the GROUP PARENT in each Group Object and QUIT
  ;  The Return (MAGRY(0)) will be IEN with NO Filename. Groups don't get Filename
- I MAGGRP D  G C1
+ I MAGGRP D  Q
  . D UPDCHLD^MAGGSIM(.MAGCHLD,MAGGDA)
  . S MAGRY(0)=MAGGDA_U
@@ -95,8 +93,10 @@
  ; ENTRY in Image File has been made, if any errors from here on
  ;  then we have to delete the image entry.
- ;  IF This image is a member of a Group, Update the Group Entry with new child.
- S X=$G(MAGGFDA(2005,"+1,",14)) I +X D  I $L(MAGERR) Q
- . D UPDPAR^MAGGSIM(.MAGERR,X,.MAGACT,MAGGDA)
- . I $L(MAGERR) S MAGRY(0)=MAGERR D CLEAN
+ ; New Index Field Check.  If this entry doesn't have the Index fields introduced
+ ;   in 3.0.8 then we use the Patch 17 conversion API call to generate default values.
+ ;-This is being deferred to a later patch.
+ ;-I '$D(^MAG(2005,MAGGDA,40)) D
+ ;-. D ONE^MAGSCNVI(MAGGDA)
+ ;-. D ACTION^MAGGTAU("DFTINDX^"_MAGGFDA(2005,"+1,",5)_"^"_MAGGDA)
  ;
  ; Now generate the Image FileName. This is passed back to the calling app, 
@@ -120,52 +120,27 @@
  . . D CLEAN
  ;
-C1 ; 59 
- K MAGGFDA ; P59.
- ;P59 Now we Auto-Generate the Index Fields, if they don't exist for this entry
- I '$D(^MAG(2005,MAGGDA,40)) D
- . N INDXD
- . D GENIEN^MAGXCVI(MAGGDA,.INDXD)
- . D COMIEN^MAGXCVC(MAGGDA,.INDXD)
- . S ^MAGIXCVT(2006.96,MAGGDA)=1 ; Flag. Says fields were converted by index generation
- . ; TRKING ID  TRKID =   MAGGFDA(2005,"+1,",108)
- . ;;D ACTION^MAGGTAU("GENINDX^"_MAGGFDA(2005,"+1,",5)_"^"_MAGGDA_"$$"_MAGGFDA(2005,"+1,",108))
- . D ACTION^MAGGTAU("INDEX-ALL^"_$P(^MAG(2005,MAGGDA,0),"^",7)_"^"_MAGGDA_"$$"_$P(^MAG(2005,MAGGDA,100),"^",5))
- . Q
  ;
- ;P59 If TYPE INDEX is missing we Auto-Generate Index Type and other missing Index Term values.
- I '$P(^MAG(2005,MAGGDA,40),"^",3) D
- . N INDXD,OLD40,N40
- . S (N40,OLD40)=^MAG(2005,MAGGDA,40)
- . D GENIEN^MAGXCVI(MAGGDA,.INDXD)
- . ; If Origin doesn't exist in existing, this will put V in. 
- . I $P(INDXD,"^",6)="" S $P(INDXD,"^",6)="V"
- . ; We're not changing existing values of Spec,Proc or Origin 
- . F J=1:1:6 I '$L($P(N40,"^",J)) S $P(N40,"^",J)=$P(INDXD,"^",J)
- . ;Validate the merged Spec and Proc, if  not valid, revert back to old Spec and Proc
- . I '$$VALINDEX^MAGGSIV1(.X,$P(N40,"^",3),$P(N40,"^",5),$P(N40,"^",4)) S $P(N40,"^",4,5)=$P(OLD40,"^",4,5)
- . S ^MAG(2005,MAGGDA,40)=N40
- . ;;D ACTION^MAGGTAU("INDEX-42^"_$P(^MAG(2005,MAGGDA,0),"^",7)_"^"_MAGGDA) ;_"$$"_MAGGFDA(2005,"+1,",108))
- . D ACTION^MAGGTAU("INDEX-42^"_$P(^MAG(2005,MAGGDA,0),"^",7)_"^"_MAGGDA_"$$"_$P(^MAG(2005,MAGGDA,100),"^",5))
- . D ENTRY^MAGLOG("INDEX-42",DUZ,MAGGDA,"P59",$P(^MAG(2005,MAGGDA,0),"^",7),1)
- . Q
+ ;
+ ;  IF This image is a member of a Group, Update the Group Entry with new child.
+ S X=$G(MAGGFDA(2005,"+1,",14)) I +X D  I $L(MAGERR) Q
+ . D UPDPAR^MAGGSIM(.MAGERR,X,.MAGACT,MAGGDA)
+ . I $L(MAGERR) S MAGRY(0)=MAGERR D CLEAN
+ ;
  ;** ABS and JB image queues AREN'T SET WHEN ADDING AN IMAGE. 
  ;** RPC =-> 'MAG ABSJB' after abstract is/isn't created on the workstation
  ;
  ;  The Return is:  IEN ^ DRIVE:DIR ^ FILE.EXT [^ DRIVE:DIR ^ FILE.BIG]
- ;   example:  487^C:\IMAGE\^DC000487.TIF
+ ;   i.e  487^C:\IMAGE\^DC000487.TIF
  ;  The calling routine is responsible for renaming/naming the file
  ;   to the returned DRIVE:\DIR\FILENAME.EXT
  ;
- ; Modified 4/23/98 to include hierarchical directory structure -- PMK
- I 'MAGGRP D
- . S MAGDHASH=$$DIRHASH^MAGFILEB(MAGGFNM,MAGREF)
- . ; For now, BIG files are in same directory as FullRes (or PACS) file
- . S MAGRY(0)=MAGGDA_U_MAGGDRV_MAGDHASH_U_MAGGFNM
- . ; If BIG file also, add it's Drive, Hash, Filename to end of Return string.
- . I $G(MAGACT("BIG")) D
- . . S X=$P(MAGGFNM,".",1)_".BIG"
- . . S MAGRY(0)=MAGRY(0)_U_MAGGDRV_MAGDHASH_U_X
- . . Q
- . Q
+ ; Modified 4/23/98 to include hierarchial directory structure -- PMK
+ S MAGDHASH=$$DIRHASH^MAGFILEB(MAGGFNM,MAGREF)
+ ; For now, BIG files are in same directory as FullRes (or PACS) file
+ S MAGRY(0)=MAGGDA_U_MAGGDRV_MAGDHASH_U_MAGGFNM
+ ; If BIG file also, add it's Drive, Hash, Filename to end of Return string.
+ I $G(MAGACT("BIG")) D
+ . S X=$P(MAGGFNM,".",1)_".BIG"
+ . S MAGRY(0)=MAGRY(0)_U_MAGGDRV_MAGDHASH_U_X
  ;
 CLEAN ; Called as tag
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGSIA1.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGSIA1.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGSIA1.m	(revision 636)
@@ -1,5 +1,5 @@
 MAGGSIA1 ;WOIFO/GEK - RPC Call to Add Image File entry ; [ 12/27/2000 10:49 ]
- ;;3.0;IMAGING;**7,8,85,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**7,8,85**;16-March-2007;;Build 1039
+ ;; Per VHA Directive 2004-038, this routine should not be modified.
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -9,5 +9,4 @@
  ;; | Development Office of the Department of Veterans Affairs,     |
  ;; | telephone (301) 734-0100.                                     |
- ;; |                                                               |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed in any way. |
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGSIU2.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGSIU2.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGSIU2.m	(revision 636)
@@ -1,5 +1,5 @@
 MAGGSIU2 ;WOIFO/GEK - Utilities for Image Add/Modify ; [ 12/27/2000 10:49 ]
- ;;3.0;IMAGING;**7,8,85,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**7,8,85**;16-March-2007;;Build 1039
+ ;; Per VHA Directive 2004-038, this routine should not be modified.
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -9,5 +9,4 @@
  ;; | Development Office of the Department of Veterans Affairs,     |
  ;; | telephone (301) 734-0100.                                     |
- ;; |                                                               |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed in any way. |
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGSIUI.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGSIUI.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGSIUI.m	(revision 636)
@@ -1,5 +1,5 @@
 MAGGSIUI ;WOIFO/GEK - Utilities for Image Import API
- ;;3.0;IMAGING;**7,8,48,20,85,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**7,8,48,20,85**;16-March-2007;;Build 1039
+ ;; Per VHA Directive 2004-038, this routine should not be modified.
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -9,5 +9,4 @@
  ;; | Development Office of the Department of Veterans Affairs,     |
  ;; | telephone (301) 734-0100.                                     |
- ;; |                                                               |
  ;; | The Food and Drug Administration classifies this software as  |
  ;; | a medical device.  As such, it may not be changed in any way. |
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGSIV.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGSIV.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGSIV.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGSIV ;WOIFO/GEK - Imaging RPC Broker calls. Validate Image data array ; [ 12/27/2000 10:49 ]
- ;;3.0;IMAGING;**7,8,20,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**7,8,20**;Apr 12, 2006
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGSIV1.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGSIV1.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGSIV1.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGSIV1 ;WOIFO/GEK - Imaging Validate Data ; [ 08/15/2004 08:57 ]
- ;;3.0;IMAGING;**8,20,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**8,20**;Apr 12, 2006
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTAU.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTAU.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTAU.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGTAU ;WOIFO/GEK - RPC Calls to Update the Imaging Windows Workstation file ; [ 03/25/2001 11:20 ]
- ;;3.0;IMAGING;**7,16,8,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**7,16,8**;Sep 15, 2004
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -18,16 +17,16 @@
  ;;
  Q
-UPD(MAGRY,DATA) ;RPC [MAGG WRKS UPDATES]
- ; Called after User login. Local and RIV.
- ; Updates information in the IMAGING WINDOWS WORKSTATION
+UPD(MAGRY,DATA) ;RPC [MAGG WRKS UPDATES] 
+ ; Call from workstation updating it's exe's Date/Time
+ ; and other Workstation information into IMAGING WINDOWS WORKSTATION
+ ; at logon of user.
  ;
  ; DATA is '^' delimited piece
  ; 1 Workstation name            2 Date/Time of capture app.
  ; 3 Date/Time of Display App.
- ; 4 Location of workstation      5 Date/Time of MAGSETUP
+ ; 4 Location of worksation      5 Date/Time of MAGSETUP
  ; 6 Version of Display          7 Version of Capture
  ; 8  1=Normal startup 2=Started by CPRS 3=Import API
  ; 9 OS Version                 10 VistaRad Version
- ; 11 RPCBroker Server    12 RPCBroker Port
  N X,Y,Z
  N MAGNAME,MAGCDT,MAGDDT,MAG0,MAGLOC,MAGIEN,MAGSETUP,MAGSTART,MAGSRV
@@ -40,12 +39,8 @@
  S MAGSETUP=$P(DATA,U,5)
  S MAGVERSD=$P(DATA,U,6)
- I MAGVERSD S MAGJOB("DISPLAY")=""
  S MAGVERSC=$P(DATA,U,7)
- I MAGVERSC S MAGJOB("CAPTURE")=""
  S MAGMODE=$P(DATA,U,8)
  S MAGOSVER=$P(DATA,U,9)
  S MAGVERVR=$P(DATA,U,10)
- I $P(DATA,U,11)]"" S MAGJOB("RPCSERVER")=$P(DATA,U,11)
- I $P(DATA,U,12)]"" S MAGJOB("RPCPORT")=$P(DATA,U,12)
  S MAGIEN=0
  I $L(MAGNAME) S MAGIEN=$O(^MAG(2006.81,"B",MAGNAME,""))
@@ -59,5 +54,5 @@
  L +^MAG(2006.81,"LOCK",MAGIEN):0
  S MAGIEN=+MAGIEN_","
- S MAGGFDA(2006.81,MAGIEN,.01)=MAGNAME ; Computer Name
+ S MAGGFDA(2006.81,MAGIEN,.01)=MAGNAME ; Compter Name
  I MAGCDT>-1 S MAGGFDA(2006.81,MAGIEN,4)=MAGCDT ;TELE19N.EXE dttm
  I MAGDDT>-1 S MAGGFDA(2006.81,MAGIEN,5)=MAGDDT ;IMGVWP10.EXE dttm
@@ -65,5 +60,5 @@
  S MAGGFDA(2006.81,MAGIEN,8)=1 ; Active or not.
  S MAGGFDA(2006.81,MAGIEN,6)=MAGLOC ; location free text from .INI
- S MAGGFDA(2006.81,MAGIEN,3)="@" ; delete logoff time for this job.
+ S MAGGFDA(2006.81,MAGIEN,3)="@" ; delete logff time for this job.
  S MAGGFDA(2006.81,MAGIEN,10)="@" ; delete session pointer
  S MAGGFDA(2006.81,MAGIEN,11)="@" ; reset the session error count.
@@ -75,5 +70,5 @@
  S X=$P(MAG0,U,12)
  S MAGGFDA(2006.81,MAGIEN,12)=X+1 ; Sess count for wrks.
- ; Keep PLACE that this wrks logged in.
+ ; Keep the last PLACE that this wrks logged in.
  S MAGPL=0 I $D(DUZ(2)) S MAGPL=+$$PLACE^MAGBAPI(DUZ(2)) ; DBI
  I MAGPL S MAGGFDA(2006.81,MAGIEN,.04)=MAGPL ; DBI
@@ -87,8 +82,9 @@
  D UPDATE^DIE("S","MAGGFDA","MAGXIEN","MAGXERR")
  I $D(DIERR) D RTRNERR(.MAGRY) Q
- ; The MAGJOB( array is used by Imaging routines that are
+ ; The " MAGJOB(" array is used by Imaging routines that are
  ; called from the Delphi App. 
+ ; We use nodes of the Array MAGJ0B to organize the shared partition variables.
  ; 
- ; 3.0.8 Whatever App calls this, we'll use that Version number.
+ ; 3.O.8 Whatever App calls this, we'll use that Version number.
  S MAGVERX=$S(MAGVERSD]"":MAGVERSD,MAGVERSC]"":MAGVERSC,MAGVERVR]"":MAGVERVR,1:0)
  S MAGJOB("WRKSIEN")=+MAGIEN
@@ -96,5 +92,5 @@
  S MAGRY="1^"
  ;
- ; SESSION : Create new session entry
+ ; SESSION : Now we create new session entry
  D GETS^DIQ(200,DUZ_",","29","I","Z","") ; service/section
  S MAGSRV=$G(Z(200,DUZ_",",29,"I"))
@@ -158,5 +154,5 @@
  ; $P(9) is Vrad REMOTE Read flag (1/0; 1=REMOTE)
  ; $P(TXT,"$$",2) is Tracking ID from an Imported Image.  From this we compute Session #, to log actions.
- ; LOGTM   - [1|0] Flag to indicate whether or not to log the time of the Action.  Default = 0
+ ; LOGTM   - [1|0] Flag to indicate wheter or not to log the time of the Action.  Default = 0
  ; MAGSESS - Session IEN where the action should be logged.  Default to MAGJOB("SESSION")
  ;
@@ -202,4 +198,5 @@
  ;   and marks the session closed.
  ;
+ K ^TMP("MAGGTAU","LOGOFF",$J)
  S MAGRY=1
  N MAGGFDA,MAGXERR,MAGXIEN,MAGIEN,MAGSESS,MAGEND,MAGCON
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTERR.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTERR.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTERR.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGTERR ;WOIFO/GEK - IMAGING ERROR TRAP, AND ERROR LOG ; [ 06/20/2001 08:56 ]
- ;;3.0;IMAGING;**8,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**8**;Sep 15, 2004
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -21,5 +20,6 @@
  ;  This will enable logging Imaging errors and Sending messages for
  ;  certain errors etc. later
- ;N $ETRAP,$ESTACK S $ETRAP="D ERRA^MAGGTERR"
+ ;IF $$NEWERR^%ZTER N $ETRAP,$ESTACK S $ETRAP="D ERRA^MAGGTERR"
+ ;E  S X="ERRA^MAGGTERR",@^%ZOSF("TRAP")
  ;
  ; This assumes the Return variable or array is MAGRY or MAGRY()
@@ -46,17 +46,12 @@
 LOGERR(ERROR) ;
  Q:'$G(MAGJOB("SESSION"))
- N SESS,WRKS,ERR
- S SESS=$G(MAGJOB("SESSION"))
- ; Quit if No entry in Session File.
- Q:'$D(^MAG(2006.82,SESS,0))
- I '$D(^MAG(2006.82,SESS,"ERR",0)) S ^MAG(2006.82,SESS,"ERR",0)="^2006.823A^0^0"
- S ERR=$O(^MAG(2006.82,SESS,"ERR"," "),-1)+1
- S ^MAG(2006.82,SESS,"ERR",ERR,0)=ERROR
- S $P(^MAG(2006.82,SESS,"ERR",0),"^",3,4)=ERR_"^"_ERR
- ;
- Q:'$G(MAGJOB("WRKSIEN"))
- S WRKS=$G(MAGJOB("WRKSIEN"))
- ; Quit if No entry in Workstation File.
- Q:'$D(^MAG(2006.81,WRKS,0))
- S $P(^MAG(2006.81,WRKS,0),"^",11)=ERR
+ N MAGGFDA,MAGXERR,MAGXIEN,MAGNODE
+ S MAGNODE="+1,"_+MAGJOB("SESSION")_","
+ ;S MAGNODE="+1,10,"
+ S MAGGFDA(2006.823,MAGNODE,.01)=ERROR
+ D UPDATE^DIE("","MAGGFDA","MAGXIEN","MAGXERR")
+ ; error flag for this session in workstation file
+ S MAGNODE=+MAGJOB("WRKSIEN")_","
+ S MAGGFDA(2006.81,MAGNODE,11)=+MAGXIEN(1) ;
+ D UPDATE^DIE("","MAGGFDA","MAGXIEN","MAGXERR")
  Q
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTIA1.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTIA1.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTIA1.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGTIA1 ;WOIFO/GEK - RPC Call to Add Image File entry ; [ 06/20/2001 08:56 ]
- ;;3.0;IMAGING;**21,8,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**21,8**;Sep 15, 2004
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -33,6 +32,6 @@
  . D ACTION^MAGGTAU("MOD^"_$P(^MAG(2005,+MAGMOD,0),U,7)_"^"_+$G(MAGMOD)) ; This is the Image IEN
  ;
- ; There are incidents of using an IEN from a deleted image
- ;  these next lines are to stop the problem.
+ ; There are incidents of using an IEN from a deleted image (still)
+ ;  these next lines are TESTING for now.  To stop the problem.
  S GIEN=$O(^MAG(2005," "),-1)+1
  S DIEN=$O(^MAG(2005.1," "),-1)+1
@@ -56,12 +55,13 @@
  ;   we Return the IEN with NO Filename. Groups don't get Filename
  ;
- I MAGGR S MAGRY=MAGGDA_U,Z="" D  G C1
+ I MAGGR S MAGRY=MAGGDA_U,Z="" D  Q
  . F  S Z=$O(MAGGR(Z)) Q:Z=""  S $P(^MAG(2005,Z,0),U,10)=MAGGDA
  . D CLEAN
  ;
  S X=$G(MAGGFDA(2005,"+1,",14)) I +X D
- . ; If here: This image is a member of a Group
- . ;   -Modify the Group Parent, add DA to it's group
- . ;   -Also set 'Series Number' and 'Image Number' if they exist;
+ . ; We're here beceause this image is a member of a Group
+ . ;   so we will modify the Group Parent, adding this to it's group
+ . ; HERE we will also send the 'Series Number' and 'Image Number' if
+ . ; they exist;
  . K MAGGFDA
  . S Y="+2,"_X_","
@@ -72,6 +72,8 @@
  . D UPDATE^DIE("S","MAGGFDA","MAGGIEN","MAGGXE")
  ;
- ; Now get the Image file name. DOS FILE name
- ; The ENTRY in Image File has been made, if any errors from here on
+ ;
+ ;
+ ; now get the Image file name. DOS FILE name
+ ; ENTRY in Image File has been made, if any errors from here on
  ;  then we have to delete the image entry.
  I $D(MAGGFDA(2005,"+1,",1)) S MAGGFNM=MAGGFDA(2005,"+1,",1) G C1
@@ -93,33 +95,14 @@
  ;
 C1 ; we jump here if we already had a Filename sent
+ ;
  K MAGGFDA
  ; New Index Field Check.  If this entry doesn't have the Index fields introduced
  ;   in 3.0.8 then we use the Patch 17 conversion API call to generate default values.
  ;
- ;P59 Now we Auto-Generate the Index Fields, if they don't exist for this entry.
- I '$D(^MAG(2005,MAGGDA,40)) D
- . N INDXD
- . D GENIEN^MAGXCVI(MAGGDA,.INDXD)
- . S ^MAG(2005,MAGGDA,40)=INDXD
- . S ^MAGIXCVT(2006.96,MAGGDA)=2 ; Flag. Says fields were converted Patch 59
- . ; TRKING ID  TRKID =   MAGGFDA(2005,"+1,",108)
- . D ACTION^MAGGTAU("INDEX-ALL^"_$P(^MAG(2005,MAGGDA,0),"^",7)_"^"_MAGGDA) ;_"$$"_MAGGFDA(2005,"+1,",108))
- . D ENTRY^MAGLOG("INDEX-ALL",DUZ,MAGGDA,"P59",$P(^MAG(2005,MAGGDA,0),"^",7),1)
- . Q
- ;P59 If TYPE INDEX is missing we Auto-Generate Index Type and other missing Index Term values.
- I '$P(^MAG(2005,MAGGDA,40),"^",3) D
- . N INDXD,OLD40,N40
- . S (N40,OLD40)=^MAG(2005,MAGGDA,40)
- . D GENIEN^MAGXCVI(MAGGDA,.INDXD)
- . ; If Origin doesn't exist in existing, this will put V in. 
- . I $P(INDXD,"^",6)="" S $P(INDXD,"^",6)="V"
- . ; We're not changing existing values of Spec,Proc or Origin 
- . F J=1:1:6 I '$L($P(N40,"^",J)) S $P(N40,"^",J)=$P(INDXD,"^",J)
- . ;Validate the merged Spec and Proc, if  not valid, revert back to old Spec and Proc
- . I '$$VALINDEX^MAGGSIV1(.X,$P(N40,"^",3),$P(N40,"^",5),$P(N40,"^",4)) S $P(N40,"^",4,5)=$P(OLD40,"^",4,5)
- . S ^MAG(2005,MAGGDA,40)=N40
- . D ACTION^MAGGTAU("INDEX-42^"_$P(^MAG(2005,MAGGDA,0),"^",7)_"^"_MAGGDA) ;_"$$"_MAGGFDA(2005,"+1,",108))
- . D ENTRY^MAGLOG("INDEX-42",DUZ,MAGGDA,"P59",$P(^MAG(2005,MAGGDA,0),"^",7),1)
- . Q
+ ;-This is being deferred to a later patch.
+ ;-I '$D(^MAG(2005,MAGGDA,40)) D
+ ;-. D ONE^MAGSCNVI(MAGGDA)
+ ;-. D ACTION^MAGGTAU("DFTINDX^^"_MAGGDA)
+ ;
  ;** ABS and JB image queues AREN'T SET WHEN ADDING AN IMAGE. 
  ;** IT IS DONE IN A SEPERATE CALL 
@@ -136,17 +119,15 @@
  ; 
  ;  We return the IEN ^ DRIVE:DIR ^ FILE.EXT
- ;   example:   487^C:\IMAGE\^DC000487.TIF
+ ;   i.e  487^C:\IMAGE\^DC000487.TIF
  ;  The calling routine is responsible for renaming/naming the file
  ;   to the returned DRIVE:\DIR\FILENAME.EXT
- ;  4/23/98 to include hierarchical directory structure -- PMK
+ ;  Modified 4/23/98 to include hierarchial directory structure -- PMK
  ;
- I 'MAGGR D
- . S MAGDHASH=$$DIRHASH^MAGFILEB(MAGGFNM,MAGREF)
- . S MAGRY=MAGGDA_U_MAGGDRV_MAGDHASH_U_MAGGFNM
- . ; For now, BIG files are in same directory as FullRes (or PACS) file
- . I $G(MAGBIG) D
- . . S X=$P(MAGGFNM,".",1)_".BIG"
- . . S MAGRY=MAGRY_U_MAGGDRV_MAGDHASH_U_X
- . . Q
+ S MAGDHASH=$$DIRHASH^MAGFILEB(MAGGFNM,MAGREF)
+ S MAGRY=MAGGDA_U_MAGGDRV_MAGDHASH_U_MAGGFNM
+ ; For now, BIG files are in same directory as FullRes (or PACS) file
+ I $G(MAGBIG) D
+ . S X=$P(MAGGFNM,".",1)_".BIG"
+ . S MAGRY=MAGRY_U_MAGGDRV_MAGDHASH_U_X
  . Q
  ;
Index: FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTID.m
===================================================================
--- FOIAVistA/trunk/r/IMAGING-MAG-ZMAG/MAGGTID.m	(revision 631)
+++ FOIAVistA/tag/r/IMAGING-MAG-ZMAG/MAGGTID.m	(revision 636)
@@ -1,5 +1,4 @@
 MAGGTID ;WOIFO/SRR/RED/SAF/GEK - Deletion of Images and Pointers ; [ 06/20/2001 08:56 ]
- ;;3.0;IMAGING;**8,59**;Nov 27, 2007;Build 20
- ;;Per VHA Directive 2004-038, this routine should not be modified.
+ ;;3.0;IMAGING;**8**;Sep 15, 2004
  ;; +---------------------------------------------------------------+
  ;; | Property of the US Government.                                |
@@ -20,9 +19,7 @@
  ;
 IMAGEDEL(MAGGRY,MAGIEN,MAGGRPDF,REASON) ;RPC [MAGG IMAGE DELETE]
- ; Call to Delete Image entry from Image file ^MAG(2005
- ; MAGIEN   Image IEN ^ SYSDEL flag
- ; MAGGRPDF   group delete flag   1 = group delete allowed
- ; SYSDEL    Flag that forces delete, even if no KEY
- ; 
+ ; Call to Delete Image entry 
+ ; SEB 6/6/2002 - added MAGGRPDF - group delete flag = 1 if group delete allowed
+ ; from Image file ^MAG(2005
  N Y,RY
  ; 1 in 3rd piece means : DELETE the Image File Also.
@@ -135,8 +132,6 @@
  Q
 SETDEL(MAGIEN,REASON) ; set deletion fields
- N DA,DR,DIE,X
- ;N %H
- ;S %H=$H D YMD^%DTC
- S X=$$NOW^XLFDT
+ N DA,DR,DIE,%H,X
+ S %H=$H D YMD^%DTC
  ;  gek - changed 3 slash to 4 slash. to stop FM question marks. ??
  S DR="30////"_DUZ_";30.1////"_X_";30.2////"_REASON
@@ -145,5 +140,5 @@
  ;
 ARCHIVE(MAGARCIE) ;save image data before deletion
- N MAGCNT,MAGLAST,%X,%Y
+ N MAGCNT,MAGLAST
  S MAGCNT=$P(^MAG(2005.1,0),U,4)+1
  S %X="^MAG(2005,"_MAGARCIE_",",%Y="^MAG(2005.1,"_MAGARCIE_","
